%def_with	devel
%define        pgpool_configdir    %_sysconfdir/pgpool
%define        pgpool_piddir    %_var/run/pgpool
%define        pgpool_logdir    %_logdir/pgpool
%define        PGSQL   pgsql


Name:		pgpool-II 
Version:	2.0.1
Release:        alt2
Summary:	pgpool is a connection pool/replication server for PostgreSQL	
License: 	BSD
Group: 		Databases
Url:		http://pgfoundry.org/projects/pgpool
Source:		%name-%version.tar.gz
Source1:        pgpool.init
BuildRequires:  postgresql8.3-devel 

%package        devel
Summary:        header files for  %name.
Group:          Databases
#Requires:       %name-common = %version-%release

%prep
%setup -q

%build
%configure	--includedir=/usr/include/pgsql
%make_build

%install
/usr/sbin/groupadd -g 46 postgres || :
/usr/sbin/useradd -M -o -r -d %_localstatedir/%PGSQL -s /dev/null \
        -c "PostgreSQL Server, slony1, pgpool daemon" -u 46 postgres -g postgres || :

%make DESTDIR=%buildroot install
#%__install -d -m 700 %buildroot%pgpool_configdir
%__install -p -m755 -D %SOURCE1 %buildroot%_initdir/pgpool
mv %buildroot%_sysconfdir/pcp.conf.sample %buildroot%_sysconfdir/pcp.conf
mv %buildroot%_sysconfdir/pgpool.conf.sample %buildroot%_sysconfdir/pgpool.conf
mv %buildroot%_sysconfdir/pool_hba.conf.sample %buildroot%_sysconfdir/pool_hba.conf
%__mkdir_p %buildroot{%pgpool_piddir,%pgpool_logdir}

%pre
/usr/sbin/groupadd -g 46 postgres || :
/usr/sbin/useradd -M -o -r -d %_localstatedir/%PGSQL -s /dev/null \
    -c "PostgreSQL Server and slony1 daemon" -u 46 postgres -g postgres || :

%post
%post_service pgpool

%files
%_bindir/pgpool
%_bindir/pg_md5
%_bindir/pcp_attach_node
%_bindir/pcp_detach_node
%_bindir/pcp_node_count
%_bindir/pcp_node_info
%_bindir/pcp_proc_count
%_bindir/pcp_proc_info
%_bindir/pcp_stop_pgpool
%_bindir/pcp_systemdb_info
%_man8dir/pgpool.8.gz
%_libdir/*.so*
%attr(640,root,postgres) %config(noreplace) %_sysconfdir/pcp.conf
%attr(640,root,postgres) %config(noreplace) %_sysconfdir/pgpool.conf
%attr(640,root,postgres) %config(noreplace) %_sysconfdir/pool_hba.conf
%_datadir/%name
%_initdir/pgpool

%files devel
%_includedir/%PGSQL

%description
pgpool-II is a middleware that works between PostgreSQL servers and a PostgreSQL database client
%description    devel
header files for %name.


%changelog
* Fri Apr 04 2008 Alexander V Openkin <open@altlinux.ru> 2.0.1-alt2
- build with postgresql8.3-devel

* Thu Jan 31 2008 Alexander V Openkin <open@altlinux.ru> 2.0.1-alt1
- 2.0.1 release

* Wed Sep 05 2007 Alexander V Openkin <open@altlinux.ru> 1.2-alt1
- changed init script (logging to syslog) 

* Tue Aug 28 2007 Alexander V Openkin <open@altlinux.ru> 1.2-alt0.4
- 1.2 release 

* Fri Jul 20 2007 Alexander V Openkin <open@altlinux.ru> 1.1.1-alt0.2
- pool_process_query.c: Fix kind mismatch error when load_balance_mode is true

